Bug 61249 (vs-577086) - Search bar doesn't start automatically when pasting
Summary: Search bar doesn't start automatically when pasting
Status: RESOLVED FIXED
Alias: vs-577086
Product: Xamarin Studio
Classification: Desktop
Component: Shell (show other bugs)
Version: 7.3 (d15-5)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: 15.7
Assignee: Vsevolod Kukol
URL:
Depends on:
Blocks:
 
Reported: 2018-03-05 07:38 UTC by Marcos Cobeña Morián
Modified: 2018-03-14 15:34 UTC (History)
3 users (show)

See Also:
Tags: vs-sync
Is this bug a regression?: ---
Last known good build:


Attachments

Description Marcos Cobeña Morián 2018-03-05 07:38:06 UTC
Hi guys,

I'm heavy user of CMD+. and most of the times just copy something in the current document, press CMD+. and paste it on the search bar. However, it doesn't start searching automatically, so end up deleting the last char and writing it back again.

Would it be possible to fire search on that case? I think can be interesting for other as well.

Thanks in advance!

—Marcos
Comment 1 Marcos Cobeña Morián 2018-03-05 07:43:30 UTC
Looking for recording a GIF with this issue I've noticed a slightly different flavour:

1. Copy any chunk of code from current document —an interface name, for instance
2. Press CMD+. —here the copied text directly appears pasted at the search bar
3. Press CMD+V to re-paste it again, and search triggers

In 2) we could maybe have the search working, so 3) isn't needed anymore.
Comment 2 xamarin-release-manager 2018-03-14 15:34:17 UTC
Fixed in version 7.6.0.133 (master)

Author: Vsevolod Kukol
Commit: 0f9cf0ea70512be136628e3b50b5e795696ee930 (mono/monodevelop)
Comment 3 xamarin-release-manager 2018-03-14 15:34:39 UTC
Fixed in version 7.5.0.850 (d15-7)

Author: Vsevolod Kukol
Commit: 1948692197c3e2dc4467911e79d1dbcad63b4640 (mono/monodevelop)

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.